/* CREACIÓN DE PROMISE */
const CargarDatos = new Promise( (resolve,reject)=>{
    const auth = true;

    const resultado = 'Nombre del cliente';
    const resultado_error = 'No se encontro el cliente';

    if(auth) {
        resolve(resultado); // el promise se cumple
        // lo vemos con .then
    } else {
        reject(resultado_error ); // el promise no se cumple
        // lo vemos con .catch
    }
})

//console.log(CargarDatos);

const btn1 = document.querySelector('#btnNombre');
btn1.addEventListener('click', () => {
    //variable de la petición de datos
    let search_criteria_1 = '-1';
    let search_criteria_2 = 'nombre_completo';
        
    //MostrarDatos(search_criteria_1, search_criteria_2,'#nombre');    
    CargarDatos
    .then((resultado)=>PromiseCorrecta(resultado))
    .catch((error)=>PromiseIncorrecta(error))
})


function PromiseCorrecta(resultado) {
    console.log('Promesa Cumplida');
    console.log(resultado);

    const div_nombre = document.querySelector('#nombre');
    div_nombre.innerHTML = resultado;
}

function PromiseIncorrecta(error) {
    console.log('Promesa No Cumplida');
    console.log(error);
}

